# Copyright (c) 2021 Secureworks. All Rights Reserved
output "security_center_tenant_id" {
  value = var.azure_tenant_id
}

output "event_hub_name" {
  value = azurerm_eventhub.msft-atp-event-hub.name
}

output "event_hub_namespace" {
  value = azurerm_eventhub_namespace.msft-atp-eventhub-namespace.name
}

output "event_hub_namespace_resource_id" {
  value = azurerm_eventhub_namespace.msft-atp-eventhub-namespace.id
}

output "consumer_group_name" {
  value = azurerm_eventhub_consumer_group.msft-atp-eh-consumer_group.name
}

output "shared_access_policy_name" {
  value = azurerm_eventhub_authorization_rule.msft-atp-event-hub-auth-rule-send.name
}

output "shared_access_policy_key" {
  value = nonsensitive(azurerm_eventhub_authorization_rule.msft-atp-event-hub-auth-rule-send.primary_key)
}

output "application_id" {
  value = var.replacement_eventhub == false ? azuread_application.msftatp-app[0].application_id : ""
}

output "application_secret" {
  value = var.replacement_eventhub == false ? nonsensitive(azuread_application_password.msftatp-app-secret[0].value) : ""
}

output "azure_consent_url" {
  value = var.replacement_eventhub == false ? "https://login.microsoftonline.com/${var.azure_tenant_id}/adminconsent?client_id=${azuread_application.msftatp-app[0].application_id}" : ""
}
