# Copyright (c) 2021 Secureworks. All Rights Reserved
# Replace with your organization's short name in double quotes.
# This name can only contain letters, numbers, and hyphens (underscore character is not allowed). 
# Combined length of client_name and azure_region must not exceed 30 characters.
# Whitespace is not allowed.
client_name = "YourOrgName"
# Replace with your organization's tenant_id in double quotes
azure_tenant_id = "00000000-0000-0000-0000-000000000000"
# Replace with subscription_id where your want the resources to be deployed
azure_subscription_id = "00000000-0000-0000-0000-000000000000"
# Replace with the azure region short name where your want the resources to be
# deployed
azure_region = "eastus"
# The is the Azure resource group name for resources used for integrating
# Microsoft Defender for Endpoint with Secureworks
# It is recommended to leave the resource group name as is.
resource_group_name = "scwx-datp-integration-rg"
# Replace it with true if it is determined that a dedicated event hub cluster is
# required for the projected event volume. Otherwise the event hub namespace
# will run on a shared event hub cluster
require_dedicated_cluster = false
# The tier to use with the event hub namespace. If the calculated number of
# required throughput units is between 1 and 32, use Standard, otherwise, use
# Premium tier.
# Allowed values are Standard and Premium.
eventhub_tier = "Standard"
# When using Standard tier, replace with the calculated number of required
# throughput units. If the calculated number exceeds 32, please use Premium
# tier.
# Allowed values are integers between 1 and 32.
eventhub_throughput_allocated = 2
# When using Standard tier, specify the upper limit of the throughput units that
# will can be allocated to the namespace automatically through Auto-inflate
# feature. This will allow event hub namespace to handle increased load.
# Allowed values are also between 1 and 32 and should not be smaller than value
# assigned to eventhub_throughput_allocated.
# Note, additional Azure cost will incur if the event hub namespace's allocated
# throughput is increased by Auto-inflate.
eventhub_throughput_inflate_cap = 4
# When using Premium tier, specify the number of processing units.
# Allowed values are integers between 1 and 16.
eventhub_processing_units = 1
# Number of allocated event hub partitions.
# Allowed values are between 1 and 32 for a Standard-tier event hub; between
# 1 and 100 for a Premium-tier event hub; between 1 and 1024 for event hubs on a
# dedicated eventhub cluster.
eventhub_partition_count = 4
# The number of days to retain data in the event hub. This is will impact the
# running cost. Minimal value is 1. Maximal value when using a dedicated event
# hub cluster is 90. Maximal value when using a shared event hub cluster is 7.
data_retention_length = 1
# The map of tag entries (each in the form of "string":"string", separated by
# commas) that terraform will apply to Azure resources created
# Example:
# azure_resource_tags = {"tag1":"value1", "tag2":"value_2", "tag_3":"value3"}
azure_resource_tags = {}

# If the Event Hub Terraform has already been run but a new Event Hub must
# be created to keep up with existing throughput demands, this value can
# be set to true to create a new Event Hub.
replacement_eventhub = false
